/**	
	Company:		Eyematic Interfaces
	Project:		Shout3D 2.0 Sample Code
	Class:			Viewer
	Date:			April 26, 1999
	Description:	Class for Viewer
	(C) Copyright Eyematic Interfaces, Inc. - 1997-2000 - All rights reserved
 */

package applets;

import shout3d.*;

/**
 * Shout3D viewer 
 * 
 * @author Jim Stewartson
 * @author Paul Isaacs
 * @author Dave Westwood
 */

public class WalkApplet extends Shout3DApplet {

	public void initShout3DPanel(){
		panel = new WalkPanel(this);
	}

	/**
	 * call this whenever you want to go reset the camera.
	 * Result is that camera goes back to its initial orientation and position.
	 */
	public void resetCamera(){
		((WalkPanel)panel).resetCamera();
	}	
	
	/**
	 * Get the forward drag speed
	 */
	public float getForwardDragSpeed(){
		return ((WalkPanel)panel).getForwardDragSpeed();
	}
	/**
	 * Set the forward drag speed
	 */
	public void setForwardDragSpeed(float newSpeed){
		((WalkPanel)panel).setForwardDragSpeed(newSpeed);
	}
	/**
	 * Get the heading drag speed
	 */
	public float getRotateDragSpeed(){
		return ((WalkPanel)panel).getRotateDragSpeed();
	}
	/**
	 * Set the heading drag speed
	 */
	public void setRotateDragSpeed(float newSpeed){
		((WalkPanel)panel).setRotateDragSpeed(newSpeed);
	}
}
